Bug 454171 - Review Request: gfs-ambrosia-fonts - GFS Ambrosia majuscule Greek font
Review Request: gfs-ambrosia-fonts - GFS Ambrosia majuscule Greek font
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-05 19:45 EDT by Nicolas Mailhot
Modified: 2013-03-13 01:43 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-11 17:57:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sundaram: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2008-07-05 19:45:05 EDT
Spec URL: http://nim.fedorapeople.org/gfs-ambrosia-fonts.spec
SRPM URL: http://nim.fedorapeople.org/gfs-ambrosia-fonts-20080624-1.fc10.src.rpm

Description:

As it is known, the Greek alphabet was used in majuscule form for over a
millenium before the miniscule letters gradually replaced it until they became
the official script in the 9th century A.D. Thereafter, majuscule letters were
confined to sparce use as initials or elaborate titles until the Italian
Renaissance.

The new art of Typography, as well as the need of the humanists to mimic the
ancient Greco-Roman period brought back the extensive use of the majuscule
letterforms in both Latin and Greek typography. Greek books of the time were
printed using the contemporary Byzantine hand with which they combined capital
letters modeled on the Roman antiquity, i.e. with thick and thin strokes and
serifs. At the same time the byzantine majuscule tradition, principally used on
theological editions, remained alive until the early 19th century.

GFS Ambrosia has the main characteristics of the majuscule forms of the early
Christian tradition.

It has been designed by George D. Matthiopoulos

See also http://fedoraproject.org/wiki/GFS_Ambrosia_font
Comment 1 Joonas Sarajärvi 2008-07-08 16:48:23 EDT
This is an informal review for getting sponsored.

MUST items:

Rpmlint:

kaappi >: rpmlint gfs-ambrosia-fonts-20080624-1.fc10.src.rpm
../SPECS/gfs-ambrosia-fonts.spec
1 packages and 1 specfiles checked; 0 errors, 0 warnings.
kaappi >:

- Rpmlint: OK
- Package name: OK
  - Version: Based on a date: OK
- Specfile name: OK
- Packaging guidelines: OK
- Software license: OK
- License field in the spec file: OK
- License text from the source zip file included in %doc: OK (though could maybe
list the two files explicitly)
- The spec file is in American English: OK
- The spec fils is legible: OK
- Source files the same as provided by upstream: OK
- Builds into a binary RPM; not architecture dependent, builds ok. OK
- No BuildRequires; doesn't depend on any libraries or tools besides the base
system: OK
- No locales, no need to use %find_lang: OK
- No shared libraries: OK
- Package not relocatable: OK
- Package owns all the created directories: OK
- No duplicates in %files: OK
- File permissions: OK
- Proper %clean section: OK
- Consistent macro use: OK
- Fonts with a free license are permissible content: OK
- No large documentation files, no -doc subpackage: OK
- Font doesn't need %doc files for operation: OK
- No header files, no -devel subpackage: OK
- No static libraries, no -static subpackage: OK
- No dependency on pkgconfig: OK
- No .la archives: OK
- Not a GUI app, no .desktop file: OK
- No other packages' files owned: OK
- rm -rf %{buildroot} is run at the beginning of %install: OK
- All filenames valid UTF-8: OK

Some SHOULD items:
- License texts included as a separate file: OK
- Description and summary translations not included, probably not available: -
- Builds into a binary package probably on all architectures, since has nothing
arch dependent: OK
- Works as described: The Ambrosia font is available in KDE's appearance
configuration's font menus: OK

The font also complies with Fedora's Font policy.

I think the package is ok for inclusion in Fedora.

Comment 2 Nicolas Mailhot 2008-07-11 07:15:16 EDT
(In reply to comment #1)
> This is an informal review for getting sponsored.

Thanks for the review! I admit I didn't leave much to be comented on in this
package :)

Unfortunately I do not know the level/number of reviews required before one can
be sponsored. Maybe someone else is monitoring this ticket and knows it better
than me? Plus sponsoring someone just because he ok-ed of my packages strikes me
as a bit unethical (even if I do wish you could be sponsored so my package is
released).

However, there are several pretty simple packaging requests languishing in the
Fonts SIG wishlist:
— http://fedoraproject.org/wiki/SIL_Padauk_fontshttp://fedoraproject.org/wiki/Conakry_fontshttp://fedoraproject.org/wiki/Ancient_Scripts_fonts
(full list here: http://fedoraproject.org/wiki/Category:Font_wishlist )

I'd have no problem sponsoring someone who packaged one of those
(just like I just did for Michal Nowak in bug #454078)

Since you've reviewed a font package most of the packaging should have no
surprises for you. If you're interested this page explains how one picks up
items in the Fonts SIG wishlist:
http://fedoraproject.org/wiki/Font_package_lifecycle#2.a
Comment 3 Rahul Sundaram 2008-07-11 10:46:35 EDT
Let's make this review official then. 

This package is APPROVED.
Comment 4 Nicolas Mailhot 2008-07-11 11:32:10 EDT
New Package CVS Request
=======================
Package Name: gfs-ambrosia-fonts
Short Description: GFS Ambrosia majuscule Greek font
Owners: nim
Branches: devel only
InitialCC: fonts-sig
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2008-07-11 12:19:46 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.